function Create(self)
    print("Blue C-4 detonated!");
    --Make sure the blue C-4 list exists.
    if c4ListB ~= nil then
    	--Go through the list of blue C-4.
    	for i=1,#c4ListB do
	    --Make sure the C-4 still exists, it may have been destroyed.
	    if MovableMan:IsParticle(c4ListB[i]) then
	        --Detonate the C-4!
	        c4ListB[i]:GibThis();
	    end
	end
    end
    --Empty/create the blue C-4 list.
    c4ListB = { };
end